- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# xcb_generic_iterator_t Struct Reference
[XCB Core API]

Generic iterator. More...

`#include <xcb.h>`

## Data Fields
void * | data
int | rem
int | index

## Detailed Description

Generic iterator.

A generic iterator structure.

## Field Documentation

void* xcb_generic_iterator_t::data

Data of the current iterator

int xcb_generic_iterator_t::rem

remaining elements

int xcb_generic_iterator_t::index

index of the current iterator

The documentation for this struct was generated from the following file:

- xcb.h